Download it now!
Bug 54553 - EDITING: Can not insert a column after deleted if it was used in a formula.
Summary: EDITING: Can not insert a column after deleted if it was used in a formula.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:3.7.0 target:3.6.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-09-05 12:44 UTC by pierre-yves samyn
Modified: 2013-04-26 03:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of step 3 (7.83 KB, image/png)
2012-09-05 12:44 UTC, pierre-yves samyn
Details
Screenshot of step 4 (7.53 KB, image/png)
2012-09-05 12:45 UTC, pierre-yves samyn
Details
Screenshot after step 4 (7.77 KB, image/png)
2012-09-05 12:45 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2012-09-05 12:44:32 UTC
Created attachment 66669 [details]
Screenshot of step 3

Hello

Steps to reproduce:
1. File> New> Spreadsheet
2. In A1, type =C3<Enter>

Expected & Actual result : A1 displays 0 (C3 is empty)

3. Delete column C by right click on column header> Delete columns
see screenshot "Step3"

4. Right click on column header>Insert column
see screenshot "Step4"

Expected result : 1 column inserted
Actual result : error message "Filled cells cannot be shifted beyond the sheet"
see screenshot "AfterStep4"

Regression

May be related to bug 54552

Platform: Version 3.6.1.2 (Build ID: e29a214) & Windows XP

Reproduced (fr-discuss) with same build & Win7 64b 

Regards
Pierre-Yves
Comment 1 pierre-yves samyn 2012-09-05 12:45:11 UTC
Created attachment 66670 [details]
Screenshot of step 4
Comment 2 pierre-yves samyn 2012-09-05 12:45:53 UTC
Created attachment 66671 [details]
Screenshot after step 4
Comment 3 Jean-Baptiste Faure 2012-09-06 04:41:17 UTC
I reproduce the described behavior with LO 3.6.1.2 under Ubuntu 12.04.
After having deleted the column C, it is impossible to insert another column in the sheet, even if the deletion has been undone or the REF! error in cell A1 has been fixed.

Same problem with LO 3.6.2.0+ (Build ID: f7b30de) and master (Build ID: 8951ef0)

@Kohei, Please, could you have a look? Thank you very much

Best regards. JBF
Comment 4 Not Assigned 2012-09-18 07:07:07 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=082155566a88b470da1fa197c264fff6cacc32f5

broadcaster cells are empty, fdo#54553



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-09-18 14:04:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db2a4f4032db854a2a028d4ed136cfd4c63ae082&g=libreoffice-3-6

broadcaster cells are empty, fdo#54553


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-09-21 13:12:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=774d204051a898cd399bca12d4d52d784c61dc5f&g=libreoffice-3-6-2

broadcaster cells are empty, fdo#54553


It will be available already in LibreOffice 3.6.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2012-09-22 10:31:02 UTC
Verified in LO 3.6.3.0+ (Build ID: 9d3af8d)
Waiting LO 3.6.2.2 for verifying in LO 3.6.2

Best regards. JBF
Comment 8 pierre-yves samyn 2012-09-30 09:32:40 UTC
Hello

WORKSFORME  with Version 3.6.2.2 (Build ID: da8c1e6) & Windows 7 64bits

Thank you

Regards
Pierre-Yves
Comment 9 Joel Madero 2013-04-26 03:51:29 UTC
As part of bug cleanup process we are checking versions of regressions against minor releases.

I can confirm this bug on:
3.6.0.0.alpha1


Updating version